Bug 122475 - redhat-config-network changing network bonding configuration in /etc/modules.conf
redhat-config-network changing network bonding configuration in /etc/modules....
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 86560
  Show dependency treegraph
 
Reported: 2004-05-04 18:32 EDT by Hai Wu
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-01 23:15:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hai Wu 2004-05-04 18:32:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
The following is the setting in my /etc/modules.conf:
alias eth0 tg3
alias eth1 tg3
alias eth2 e100
alias eth3 e100
options e100 e100_speed_duplex=4,4
alias bond0 bonding
options bond0 miimon=100 mode=1 downdeley=5000 updelay=1000
alias bond1 bonding
options bond1 -o miimon=100 mode=1

If using redhat-config-network to view the network settings, and then 
choose "File"->"Save" to save the current network settings, then this 
redhat-config-network program would go ahead and change the following 
line in /etc/modules.conf:
options bond1 -o miimon=100 mode=1
To:
options bond1 miimon=100 mode=1

Notice it removes "-o" option, which would render the network bonding 
for bond1 fail, could be serious problem.


Version-Release number of selected component (if applicable):
redhat-config-network-tui-1.2.59-1, redhat-config-network-1.2.59-1

How reproducible:
Always

Steps to Reproduce:
1.see above for description
2.
3.
    

Additional info:
Comment 1 Jay Turner 2004-09-01 23:15:47 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-318.html

Note You need to log in before you can comment on or make changes to this bug.